PATCH /v1/sessions/\{id\}
Service: live · operationId: (none)
Update a live session
Required scopes
(no scope declared — review service config)
Path parameters
id(string) required —
Request body
{
"type": "object",
"properties": {
"title": {
"type": "string",
"minLength": 1
},
"scheduled_at": {
"type": "string",
"format": "date-time"
},
"max_participants": {
"type": "integer",
"exclusiveMinimum": 0
},
"kind": {
"type": "string",
"enum": [
"live",
"office_hours"
]
},
"metadata": {
"type": "object",
"additionalProperties": {}
}
}
}Responses
200 Session updated
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"host_id": {
"type": "string"
},
"brand_id": {
"type": "string"
},
"title": {
"type": "string"
},
"kind": {
"type": "string",
"enum": [
"live",
"office_hours"
]
},
"category": {
"type": [
"string",
"null"
]
},
"scheduled_at": {
"type": "string",
"format": "date-time"
},
"started_at": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"ended_at": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"status": {
"type": "string",
"enum": [
"scheduled",
"live",
"ended",
"cancelled"
]
},
"stream_call_id": {
"type": [
"string",
"null"
]
},
"max_participants": {
"type": "integer"
},
"duration_minutes": {
"type": [
"integer",
"null"
]
},
"recording_url": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"additionalProperties": {}
},
"created_at": {
"type": "string",
"format": "date-time"
},
"updated_at": {
"type": "string",
"format": "date-time"
},
"registered_count": {
"type": "integer"
},
"is_registered": {
"type": "boolean"
}
},
"required": [
"id",
"host_id",
"brand_id",
"title",
"kind",
"category",
"scheduled_at",
"started_at",
"ended_at",
"status",
"stream_call_id",
"max_participants",
"duration_minutes",
"recording_url",
"metadata",
"created_at",
"updated_at",
"registered_count",
"is_registered"
]
}404 Not found
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}412 Cannot update session in current status
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X PATCH https://live.platform.loop.health/v1/sessions/{id} \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ ... }'Related
services/live— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced